Skip to content

Create Snapshot

POST
/api/v1/block_storage/{block_id}/snapshot/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/block_storage/{block_id}/snapshot/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"name": "snapshot-884"
}'
block_id
required
string

Block ID

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
name
required
string

Example

snapshot-884

Successful response indicating that the snapshot is in process.

Media typeapplication/json
object
code
integer
data
object
image_id
integer
snapshot_id
integer
errors
object
key
additional properties
any
message
string

Example

{
"code": 200,
"data": {
"image_id": 25549,
"snapshot_id": 1
},
"errors": {},
"message": "Snapshot in process."
}